/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.activemq.apollo.dto;



import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.concurrent.TimeUnit;

/**
 *
 *
 *
 * @author <a href="http://hiramchirino.com">Hiram Chirino</a>
 */
@XmlRootElement(name = "int_metric")
@XmlAccessorType(XmlAccessType.FIELD)
public class IntMetricDTO {

    /**
     * The number of events
     */
    @XmlAttribute
    public int count;

    /**
     * The total amount added
     */
    @XmlAttribute
    public int total;

    /**
     * The maximum amount added in an event
     */
    @XmlAttribute
    public int max;

    /**
     * The minimum amount added in an event
     */
    @XmlAttribute
    public int min;


    public float avg() {
        return count==0 ? 0f : ((float)total) / count;
    }


}